"""remove user info from central table and add central and user relationship

Revision ID: a4891095839c
Revises: c996d488053d
Create Date: 2018-09-23 12:34:40.881918

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'a4891095839c'
down_revision = 'c996d488053d'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    #op.alter_column('centrals', 'president_id',
    #           existing_type=sa.VARCHAR(length=16),
    #           nullable=True)
    #op.create_foreign_key(None, 'centrals', 'users', ['president_id'], ['id'])
    op.drop_column('centrals', 'president_email')
    op.drop_column('centrals', 'president_name')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('centrals', sa.Column('president_name', sa.VARCHAR(length=64), autoincrement=False, nullable=False))
    op.add_column('centrals', sa.Column('president_email', sa.VARCHAR(length=64), autoincrement=False, nullable=False))
    op.drop_constraint(None, 'centrals', type_='foreignkey')
    op.alter_column('centrals', 'president_id',
               existing_type=sa.VARCHAR(length=16),
               nullable=False)
    # ### end Alembic commands ###
